Subject: Ftp-WG: RE: draft-ietf-ftpext-intl-ftp-05.txt

From: "Curtin, William" <[email-masked]>
Date: Tue, 15 Dec 1998 16:20:30 -0500

Martin,

  I've promised Paul that I would have a new version of the draft done soon
after the holidays. If you'd like to propose some text please feel free to
do so. I've been tied up with some Directory work and unable to get to the
draft. Your posting has gotten discussion beyond my original email.

						bill

> -----Original Message-----
> From: Martin J. Duerst [mailto:[email-masked]]
> Sent: Sunday, December 13, 1998 1:09 AM
> To: FTPEXT Working Group
> Subject: Ftp-WG: RE: draft-ietf-ftpext-intl-ftp-05.txt
> 
> 
> 
> Hello Bill, hello everybody,
> 
> I spoke with Patrik yesterday at the IETF in Orlando, and we agreed
> that I would send a mail to the list to move this issue (and therefore
> the whole draft) forward. Bill, do you think you can come up with
> something, or should I propose some text? (I would do so now if I
> were online, but I'm now in a plane between Chicago and Tokyo,
> somewhere over Alaska).
> 
> Regards,   Martin.
> 
> At 11:41 98/10/06 -0400, Curtin, William wrote:
> > I'm looking at the ADs comments to the I18n draft (see 
> below).       
> > It seems that Patrick is asking me to mandate UTF encoding 
> of the text 
> > part of command responses (i.e. "error messages" per RFC 2130). I 
> > assume this is for 100-500 command responses and not just the 400- 
> > 500 command responses. While RFC 2130 page 21 does mention language 
> > tagging for banners and error messages (but doesn't really mention
> > UTF8 encoding), I thought there was discussion of this on the list
> > and that the decision was to continue to use ASCII. Also section 10 
> > of the MLST draft suggests that the only encoding for protocol 
> > responses is ASCII.
> >           
> > It seems to me that based on section 10 of the MLST draft 
> that the encoding
> > should not be UTF-8 but ASCII. I can address Patrick's 
> suggestion to include
> > a Lang feature to negotiate a language that the banner and 
> protocol textual
> > responses should be returned in. This too may be a slippery 
> slope as many 
> > languages can not be expressed in ASCII. 
> >           
> > Do I need to include UTF8 encoding for the text part of the command 
> > responses? If so I guess that Section 10 of MLST would have to be 
> > changed.
> > 
> > My inclination is to require that banners and the text part 
> of responses
> > be encoded in utf-8, and that a Lang feature be added to 
> negotiate a language
> > that they will be returned in.
> >           
> >                                         Any thoughts?
> >           
> >           
> >                                             bill
> > 
> > 
> > > -----Original Message-----
> > > From: Patrik FSltstr?H [SMTP:[email-masked]] 
> > > Sent: Thursday, September 10, 1998 3:04 PM
> > > To: William Curtin; Paul Hethmon [SMTP:[email-masked]] 
> > > Cc: Harald Tveit Alvestrand 
> > > [SMTP:[email-masked]] ; Keith
> > > Moore [SMTP:[email-masked]] 
> > > Subject: draft-ietf-ftpext-intl-ftp-05.txt
> > > 
> > > 
> > > These are the issues that were brought up when discussing 
> > > this I-D in the IESG.
> > > 
> > > Question:
> > > 
> > > This document deals only with internationalization of file names.
> > > As identified by RFC 2130, internationalization is also 
> > > needed in error
> > > messages.
> > > 
> > > The WG may choose to:
> > > 
> > > - Explicitly defer the problem to another, later document
> > > - (Do the Right Thing and) declare that servers with UTF8 in 
> > > FEAT will also
> > >   use UTF8 in error messages, when appropriate
> > > - As above, but also add a LANG feature to let the client 
> > > select language
> > >   for error messages
> > > 
> > > Not mentioning it is not an option.
> > > 
> > > Nits:
> > > 
> > > - Section 1 needs to refer to 2277, not 2130
> > > - Section 3.2 hasn't indented "UTF8" in the example response, 
> > > even though
> > >   the very next sentence says the indentation is required.
> > > 
> > > 
> > > Please address these issues, and submit a new version of the 
> > > I-D to the
> > > repository. Also, please send answers (and questions) to this 
> > > mail to all
> > > persons on the To and Cc of this mail.
> > > 
> > >    Regards, Patrik Faltstr?H
> > >    Area Director, Applications Area
> > > 
> > 
> > 
> > 
> 
> 
> #-#-#  Martin J. Du"rst, World Wide Web Consortium
> #-#-#  mailto:[email-masked]   http://www.w3.org
>